Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision 0d1e5fd33ae33223ea271a0be59bdf58ccd8dd16)
+++ testsuites/sptests/ChangeLog	(revision ac85d56d48cdff59314c2ffa125b04a7e56a4ecf)
@@ -1,2 +1,8 @@
+2009-09-26	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* sp04/tswitch.c, sp07/system.h, sp07/taskexit.c, sp07/tdelete.c,
+	sp07/tstart.c, spfatal_support/init.c, spfatal_support/system.h:
+	Eliminate use of deprecated rtems_extension.
+
 2009-09-25	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: testsuites/sptests/sp04/tswitch.c
===================================================================
--- testsuites/sptests/sp04/tswitch.c	(revision 0d1e5fd33ae33223ea271a0be59bdf58ccd8dd16)
+++ testsuites/sptests/sp04/tswitch.c	(revision ac85d56d48cdff59314c2ffa125b04a7e56a4ecf)
@@ -31,5 +31,5 @@
 volatile int testsFinished;
 
-rtems_extension Task_switch(
+void Task_switch(
   rtems_tcb *unused,
   rtems_tcb *heir
Index: testsuites/sptests/sp07/system.h
===================================================================
--- testsuites/sptests/sp07/system.h	(revision 0d1e5fd33ae33223ea271a0be59bdf58ccd8dd16)
+++ testsuites/sptests/sp07/system.h	(revision ac85d56d48cdff59314c2ffa125b04a7e56a4ecf)
@@ -4,5 +4,5 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -53,20 +53,20 @@
 );
 
-rtems_extension Task_delete_extension(
+void Task_delete_extension(
   rtems_tcb *running_task,
   rtems_tcb *deleted_task
 );
 
-rtems_extension Task_restart_extension(
+void Task_restart_extension(
   rtems_tcb *unused,
   rtems_tcb *restarted_task
 );
 
-rtems_extension Task_start_extension(
+void Task_start_extension(
   rtems_tcb *unused,
   rtems_tcb *started_task
 );
 
-rtems_extension Task_exit_extension(
+void Task_exit_extension(
   rtems_tcb *running_task
 );
Index: testsuites/sptests/sp07/taskexit.c
===================================================================
--- testsuites/sptests/sp07/taskexit.c	(revision 0d1e5fd33ae33223ea271a0be59bdf58ccd8dd16)
+++ testsuites/sptests/sp07/taskexit.c	(revision ac85d56d48cdff59314c2ffa125b04a7e56a4ecf)
@@ -7,5 +7,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -19,5 +19,5 @@
 #include "system.h"
 
-rtems_extension Task_exit_extension(
+void Task_exit_extension(
   rtems_tcb *running_task
 )
Index: testsuites/sptests/sp07/tdelete.c
===================================================================
--- testsuites/sptests/sp07/tdelete.c	(revision 0d1e5fd33ae33223ea271a0be59bdf58ccd8dd16)
+++ testsuites/sptests/sp07/tdelete.c	(revision ac85d56d48cdff59314c2ffa125b04a7e56a4ecf)
@@ -9,5 +9,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,5 @@
 #include "system.h"
 
-rtems_extension Task_delete_extension(
+void Task_delete_extension(
   rtems_tcb *running_task,
   rtems_tcb *deleted_task
Index: testsuites/sptests/sp07/tstart.c
===================================================================
--- testsuites/sptests/sp07/tstart.c	(revision 0d1e5fd33ae33223ea271a0be59bdf58ccd8dd16)
+++ testsuites/sptests/sp07/tstart.c	(revision ac85d56d48cdff59314c2ffa125b04a7e56a4ecf)
@@ -9,5 +9,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,5 @@
 #include "system.h"
 
-rtems_extension Task_start_extension(
+void Task_start_extension(
   rtems_tcb *unused,
   rtems_tcb *started_task
Index: testsuites/sptests/spfatal_support/init.c
===================================================================
--- testsuites/sptests/spfatal_support/init.c	(revision 0d1e5fd33ae33223ea271a0be59bdf58ccd8dd16)
+++ testsuites/sptests/spfatal_support/init.c	(revision ac85d56d48cdff59314c2ffa125b04a7e56a4ecf)
@@ -12,5 +12,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -119,5 +119,5 @@
 
 
-rtems_extension Fatal_extension(
+void Fatal_extension(
   uint32_t   source,
   bool       is_internal,
Index: testsuites/sptests/spfatal_support/system.h
===================================================================
--- testsuites/sptests/spfatal_support/system.h	(revision 0d1e5fd33ae33223ea271a0be59bdf58ccd8dd16)
+++ testsuites/sptests/spfatal_support/system.h	(revision ac85d56d48cdff59314c2ffa125b04a7e56a4ecf)
@@ -27,5 +27,5 @@
 );
 
-rtems_extension Fatal_extension(
+void Fatal_extension(
   uint32_t   source,
   bool       is_internal,
